
// Project: webCDwriter - Network CD Writing
// Author: Jörg Haeger, 14.05.2001

class Login extends Command
{
	public Login(String user, String password)
	{
		this.user = user;
		this.password = password;
	}

	public void run()
	{
		execCommand("login "
			+ spaceToEsc(user) + " "
			+ spaceToEsc(password));
		if (status == SUCCESS)
		{
			State.userID = user;
			State.userPassword = password;
		}
		super.run();
	}

	private String user, password;
}
